import { __extends } from "tslib";
import { AbstractRenderer } from '@antv/g';
import * as DomInteraction from '@antv/g-plugin-dom-interaction';
import * as WebGLRenderer from '@antv/g-plugin-webgl-renderer';
import { ContextRegisterPlugin } from './ContextRegisterPlugin';
export { DomInteraction, WebGLRenderer };

var Renderer =
/** @class */
function (_super) {
  __extends(Renderer, _super);

  function Renderer(config) {
    var _this = _super.call(this, config) || this;

    _this.registerPlugin(new ContextRegisterPlugin());

    _this.registerPlugin(new WebGLRenderer.Plugin());

    _this.registerPlugin(new DomInteraction.Plugin());

    return _this;
  }

  return Renderer;
}(AbstractRenderer);

export { Renderer };